{% extends 'base.html' %}

{% block title %}My Tasks{% endblock title %}

{% block content %}
<main>
    <div>
        <h1>My Tasks</h1>
        {% for task in list_tasks %}
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Start date</th>
                    <th>Due date</th>
                    <th>Is completed</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>{{ task.name }}</td>
                    <td>{{ task.start_date }}</td>
                    <td>{{ task.due_date }}</td>
                    <td>{{ task.is_completed|yesno }}</td>
                </tr>
            </tbody>
        </table>
        {% empty %}
        <p>You have no tasks</p>
        {% endfor %}
    </div>
</main>


{% endblock content %}
